#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	SGML
%define		pnam	SPGroveBuilder
Summary:	SGML::SPGroveBuilder Perl module - load an SGML, XML, or HTML document
Summary(pl.UTF-8):	Moduł Perla SGML::SPGroveBuilder - wczytywanie dokumentów SGML, XML i HTML
Name:		perl-SGML-SPGroveBuilder
Version:	2.01
Release:	26
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5ecd47bf15af12b868c8260f21cd93cf
Patch0:		%{name}-opensp.patch
Patch1:		%{name}-perl-5.6.patch
Patch2:		no-undefined.patch
URL:		http://search.cpan.org/dist/SGML-SPGroveBuilder/
BuildRequires:	opensp-devel >= 2:1.5.1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SGML::SPGrove is a Perl 5 module for loading SGML, XML, and HTML
document instances into SGML::Grove objects using SP - James Clark's
SGML Parser.

%description -l pl.UTF-8
Moduł Perla SGML::SPGrove służy do wczytywania dokumentów SGML, XML
oraz HTML do obiektów SGML::Grove, korzystając z SP - parsera SGML
Jamesa Clarka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes ChangeLog README ToDo
%{perl_vendorarch}/SGML
%dir %{perl_vendorarch}/auto/SGML
%dir %{perl_vendorarch}/auto/SGML/SPGroveBuilder
%attr(755,root,root) %{perl_vendorarch}/auto/SGML/SPGroveBuilder/SPGroveBuilder.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SGML-SPGroveBuilder.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 1b7ce4a
- perl 5.36.0 rebuild

* Wed Mar 02 2022 Jan Rękorajski <baggins@pld-linux.org> 82c5c12
- don't define explicit to undefined type, rel 25

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> b89012c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b8c6840
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 22e2c32
- rebuild with perl 5.30.0
- release 23 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 9539e5e
- rebuild with perl 5.28.0
- release 22 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c8efc7a
- perl req/prov fix
- release 21 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d15e945
- rebuild with perl 5.26
- release 20 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 22e0ec1
- rebuild with perl 5.24.0
- release 19 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4615526
- release 18 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 316e6cb
- x32 rebuild
- release 17 (by relup.sh)

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 1c5de8d
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> bb5708c
- release 16 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e275857
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 097243c
- rebuild for perl 5.20
- release 15 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 97860b3
- rebuild with perl 5.18.0
- release 14 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> d9d9511
- BR: rpm-perlprov
- dropped unused BR: gcc-c++

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 353b13b
- release 13

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c38e9d0
- rel 12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8628139
- tabs in preamble

